当前位置:论坛首页 > Linux面板 > 求助

【已回应】文件编码不被兼容,无法正确读取文件

发表在 Linux面板2019-8-22 08:18 [复制链接] 6 4276

本帖最后由 谢花郎 于 2019-8-22 10:07 编辑

今天打算编辑这里,结果发现变编辑后出现提示:文件编码不被兼容,无法正确读取文件!decode() argument 1 must be string, not Non
QQ图片20190822081744.png
请问怎么解决啊
使用道具 举报 只看该作者 回复
发表于 2019-8-22 10:06:29 | 显示全部楼层
改下编码。
使用道具 举报 回复
发表于 2019-8-22 10:07:39 | 显示全部楼层
改一下文件的编码看看
使用道具 举报 回复 支持 反对
发表于 2019-10-15 15:47:10 | 显示全部楼层
我的也是这样,从哪里改文件的编码呢?改了再上传吗?应该如何操作
使用道具 举报 回复 支持 反对
发表于 2019-11-16 16:16:31 | 显示全部楼层
有知道怎么修改的吗?
使用道具 举报 回复 支持 反对
发表于 2019-11-24 23:59:50 | 显示全部楼层
求解。这个是宝塔的bug吧!输入中文的php文件 然后再编辑就打不开了。上次了还是老样子。导致系统越来越慢!
使用道具 举报 回复 支持 反对
发表于 2020-5-28 14:23:58 | 显示全部楼层
也有可能php文件被加密了,我的就是这样
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表